#!/bin/sh

if [ -e descript.ion ]
then
  make_desc=no
else
  make_desc=yes
fi

echo -n "Creating descript.ion..."
  for i in `\ls -1 *.jpg | grep -v _tn.jpg | grep -v _640.jpg | grep -v _800.jpg | grep -v _1024.jpg`
  do
    if [ "x$make_desc" = "xyes" ]
    then
      picinfo="`echo $i | sed -e 's/\(.*\).jpg/\1.txt/'`"
      desc="`grep 'Image Description' ${picinfo} | sed -e 's/Image Description   |//' -e 's/^ *$//'`"
      printf "desc = <<${desc}>>\n"
      if [ "x${desc}" = "x" ]
      then
        name="`echo $i | sed -e 's/[^-]*-\(.*\).jpg/\1/' | tr _ ' '`"
      else
        name="$desc"
      fi
      printf "$i\t\t${name}\n" >> descript.ion
    fi
  done    
echo " Done."
 
echo "Shrinking Photos in the background..."
shrink_photos.sh -800 -no1024 *.jpg &

cp -u ~/Pictures/head_template.html head.html
cp -u ~/Pictures/tail_template.html tail.html
chmod 644 *.html
vi descript.ion
vi head.html
vi tail.html
if [ -e shrinking_photos.lock ]
then
  echo "Please wait, still shrinking photos..."
  tail -f shrinking_photos.lock&
  while [ -e shrinking_photos.lock ]
  do
    sleep 3
  done
  echo " Done."
fi
echo -n "Making web page..."
mthumbnail.pl .
echo " Done."
